Subject: draft-ietf-fax-reporting-extensions-01.txt

From: Graham Klyne <[email-masked]>
Date: Wed, 09 Sep 1998 18:44:27 +0100

Sorry for the delay in posting comments...

#g

[...]
>3.1.  New Message Fields
>
>   For a DSN message, the following per-recipient fields are defined
>   (section 2.3 of [RFC1894]).  For an MDN message, the following
>   extension fields are defined (section 3.1 of [RFC2298]).
>
>      extension-field = [ call-begin-time ]
>                        [ call-end-time ]
>                        [ transmitted-pages ]
>                        [ media-features ]
>                        [ bit-rate-field ]
>                        [ call-attempts ]
>
>      call-begin-time   = "Call-Begin" ":" begin-time

Does more need to be said about what exactly constitutes the
"call-begin-time" (start of dial, completion of connection, detection of
fax tone, etc.).  Or is this deliberately vague?  In which case it might
help to be specific that it's not specific.

Similar comments would probably apply to some of the other new fields.

>      call-end-time     = "Call-End" ":" end-time
>      transmitted-pages = "Transmitted-Pages" ":" xmit-pages
>      media-features    = "Media-Features" ":" media-feature-tags
>      bit-rate-field    = "Bit-Rate" ":" bit-rate
>      call-attempts     = "Call-Attempts" ":" attempt-count
>
>      begin-time     = <rfc822 date format>
>      end-time       = <rfc822 date format>

Would this better be RFC1123 (with 4-digit years, if I recall correctly?)

>      xmit-pages     = 1*DIGIT
>      media-feature-tags = *text <per [MEDIA-FEATURES] with LWS wrapping>
>      bit-rate       = "110" / "300" / "1200" / "2400" / "4800" / "9600" / 
>                       "14400" / "28800"

Why not just an integer?  (Just asking!)

>      attempt-count  = 1*DIGIT

[...]
>3.2.1.  Final-Recipient
>
>   The Final-Recipient field (which is present in both [RFC1894]
>   and [RFC2298] message formats) can be used to indicate the actual
>   number dialed.
>   
>   The "address-type" is "phone".  The "generic-address" is a telephone
>   number which SHOULD be in the format of "global-phone" (as defined in
>   [RFC2303]).

Would it be a good idea to (also) say "if it begins with a '+' character,
MUST be in the format of "global-phone" per [RFC2303]"?  This would make it
consistent with FAX= mailbox addressing, which seems like a useful
principle to me.

------------
Graham Klyne
([email-masked])